import base64
import random
import string
# Can be installed with 'pip install passlib' 
from passlib.hash import atlassian_pbkdf2_sha1

def hash_password(password, salt=""):
    raw_password = password.encode()

    if salt:
        a = atlassian_pbkdf2_sha1.using(salt=salt)
    else:
        a = atlassian_pbkdf2_sha1.using()

    hash = a.hash(raw_password)
    return hash 

def generate_confluence_password():
    random_password = ''.join(random.sample(string.ascii_letters,10))
    print(f"[+] Random pasword         : {random_password}")
    print(f"[+] Hashed password secret : {hash_password(random_password)}")


generate_confluence_password()
